Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.dom
Class VariableDeclaration

    java.lang.Object
      org.eclipse.jdt.core.dom.ASTNode
          org.eclipse.jdt.core.dom.VariableDeclaration

Direct Known Subclasses:
  SingleVariableDeclaration, VariableDeclarationFragment

public abstract class VariableDeclaration
extends ASTNode

Abstract base class of all AST node types that declare a single local variable.

     VariableDeclaration:
        SingleVariableDeclaration
        VariableDeclarationFragment

Since:
  2.0
See Also:
  `SingleVariableDeclaration`, `VariableDeclarationFragment`

Field Summary

Fields inherited from class org.eclipse.jdt.core.dom.ASTNode
`ANNOTATION_TYPE_DECLARATION, ANNOTATION_TYPE_MEMBER_DECLARATION, ANONYMOUS_CLASS_DECLARATION, ARRAY_ACCESS, ARRAY_CREATION, ARRAY_INITIALIZER, ARRAY_TYPE, ASSERT_STATEMENT, ASSIGNMENT, BLOCK, BLOCK_COMMENT, BOOLEAN_LITERAL, BREAK_STATEMENT, CAST_EXPRESSION, CATCH_CLAUSE, CHARACTER_LITERAL, CLASS_INSTANCE_CREATION, COMPILATION_UNIT, CONDITIONAL_EXPRESSION, CONSTRUCTOR_INVOCATION, CONTINUE_STATEMENT, DO_STATEMENT, EMPTY_STATEMENT, ENHANCED_FOR_STATEMENT, ENUM_CONSTANT_DECLARATION, ENUM_DECLARATION, EXPRESSION_STATEMENT, FIELD_ACCESS, FIELD_DECLARATION, FOR_STATEMENT, IF_STATEMENT, IMPORT_DECLARATION, INFIX_EXPRESSION, INITIALIZER, INSTANCEOF_EXPRESSION, JAVADOC, LABELED_STATEMENT, LINE_COMMENT, MALFORMED, MARKER_ANNOTATION, MEMBER_REF, MEMBER_VALUE_PAIR, METHOD_DECLARATION, METHOD_INVOCATION, METHOD_REF, METHOD_REF_PARAMETER, MODIFIER, NORMAL_ANNOTATION, NULL_LITERAL, NUMBER_LITERAL, ORIGINAL, PACKAGE_DECLARATION, PARAMETERIZED_TYPE, PARENTHESIZED_EXPRESSION, POSTFIX_EXPRESSION, PREFIX_EXPRESSION, PRIMITIVE_TYPE, PROTECT, QUALIFIED_NAME, QUALIFIED_TYPE, RETURN_STATEMENT, SIMPLE_NAME, SIMPLE_TYPE, SINGLE_MEMBER_ANNOTATION, SINGLE_VARIABLE_DECLARATION, STRING_LITERAL, SUPER_CONSTRUCTOR_INVOCATION, SUPER_FIELD_ACCESS, SUPER_METHOD_INVOCATION, SWITCH_CASE, SWITCH_STATEMENT, SYNCHRONIZED_STATEMENT, TAG_ELEMENT, TEXT_ELEMENT, THIS_EXPRESSION, THROW_STATEMENT, TRY_STATEMENT, TYPE_DECLARATION, TYPE_DECLARATION_STATEMENT, TYPE_LITERAL, TYPE_PARAMETER, VARIABLE_DECLARATION_EXPRESSION, VARIABLE_DECLARATION_FRAGMENT, VARIABLE_DECLARATION_STATEMENT, WHILE_STATEMENT, WILDCARD_TYPE`

Method Summary
`abstract int` | `getExtraDimensions()` Returns the number of extra array dimensions over and above the explicitly-specified type.
`abstract Expression` | `getInitializer()` Returns the initializer of this variable declaration, or `null` if there is none.
`abstract SimpleName` | `getName()` Returns the name of the variable declared in this variable declaration.
`IVariableBinding` | `resolveBinding()` Resolves and returns the binding for the variable declared in this variable declaration.
`abstract void` | `setExtraDimensions(int dimensions)` Sets the number of extra array dimensions over and above the explicitly-specified type.
`abstract void` | `setInitializer(Expression initializer)` Sets or clears the initializer of this variable declaration.
`abstract void` | `setName(SimpleName variableName)` Sets the name of the variable declared in this variable declaration to the given name.

Methods inherited from class org.eclipse.jdt.core.dom.ASTNode
`accept, copySubtree, copySubtrees, delete, equals, getAST, getFlags, getLength, getLocationInParent, getNodeType, getParent, getProperty, getRoot, getStartPosition, getStructuralProperty, nodeClassForType, properties, setFlags, setProperty, setSourceRange, setStructuralProperty, structuralPropertiesForType, subtreeBytes, subtreeMatch, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public abstract SimpleName getName()

  Returns the name of the variable declared in this variable declaration.

  Returns:
    the variable name node

### setName

    public abstract void setName(SimpleName variableName)

  Sets the name of the variable declared in this variable declaration to the given name.

  Parameters:
    `variableName` - the new variable name
  Throws:
    `IllegalArgumentException` - if:
    - the node belongs to a different AST
    - the node already has a parent

### getExtraDimensions

    public abstract int getExtraDimensions()

  Returns the number of extra array dimensions over and above the explicitly-specified type.

  For example, `int x[][]` has a type of `int` and two extra array dimensions; `int[][] x` has a type of `int[][]` and zero extra array dimensions. The two constructs have different ASTs, even though there are really syntactic variants of the same variable declaration.

  Returns:
    the number of extra array dimensions
  Since:
    2.1

### setExtraDimensions

    public abstract void setExtraDimensions(int dimensions)

  Sets the number of extra array dimensions over and above the explicitly-specified type.

  For example, `int x[][]` has a type of `int` and two extra array dimensions; `int[][] x` has a type of `int[][]` and zero extra array dimensions. The two constructs have different ASTs, even though there are really syntactic variants of the same variable declaration.

  Parameters:
    `dimensions` - the number of array dimensions
  Throws:
    `IllegalArgumentException` - if the number of dimensions is negative
  Since:
    2.1

### getInitializer

    public abstract Expression getInitializer()

  Returns the initializer of this variable declaration, or `null` if there is none.

  Returns:
    the initializer expression node, or `null` if there is none

### setInitializer

    public abstract void setInitializer(Expression initializer)

  Sets or clears the initializer of this variable declaration.

  Parameters:
    `initializer` - the initializer expression node, or `null` if there is none
  Throws:
    `IllegalArgumentException` - if:
    - the node belongs to a different AST
    - the node already has a parent
    - a cycle in would be created

### resolveBinding

    public IVariableBinding resolveBinding()

  Resolves and returns the binding for the variable declared in this variable declaration.

  Note that bindings are generally unavailable unless requested when the AST is being built.

  Returns:
    the binding, or `null` if the binding cannot be resolved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.